Help us improve Answers HQ! Take Survey No, Thanks

Spore isn't compatible with macOS 10.15 Catalina

by arthrfrts
Reply

Original Post

Highlighted

Spore isn't compatible with macOS 10.15 Catalina

★★★★ Apprentice

Hello Spore fans!

 

Just a heads up that Spore and its expansion pack Galactic Adventures isn't compatible with the newest version of macOS (10.15 “Catalina”). The game is a 32 bit app and starting with 10.15 macOS will only support 64 bit apps. I don't know if EA will make a 64 bit version of the game for macOS users (I'm afraid they'll not), so if you want to keep playing Spore you will need to consider using an older computer or installing Windows through Boot Camp or using a virtual machine.

 

That's a very sad news and I hope we can find a way to keep playing Spore for many years to come!

Message 1 of 14 (8,043 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

Agree

 

The best thing is to play the game on his old macos. I continue to do it on my El Cap.
Up to High Sierra I would recommend, because until then Spore makes the fewest problems

I do not recommend Windows 10 and Bootcamp, because it makes the most problems again

Stay healty!
Bleibt Gesund!
I don't work for EA - I'm just only help other users . Cheers Liz
Message 2 of 14 (8,009 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

★★ Newbie

I hope they will update the game to Mac OS Sierra, because they would have a chance to overwork the bugs and a lot of players would love to have the possibility to play this game.. Spore is an all time favorite. When I played Spore on older Mac's, it wasn't the best experience. I needed to turn down the graphics etc. and nevertheless the game crashed often after a few minutes. 

So I'm really hoping that EA will fix this for us, because I haven't played for years Frown

Message 3 of 14 (7,259 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

★★ Newbie

can i get a refund? i spent money on the game now i cant play.....

Message 4 of 14 (6,360 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

★★★★★ Newbie

Boy, it would have saved me an hour of my time if any of the support people had been aware of this. Frown

Message 5 of 14 (6,217 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

★★★★ Apprentice
@suzannemorss They added a very small notice in the Origin client when you update to Catalina. Still, it's easy to miss and I believe it disappears after some time. It sucks, I would love to keep playing it in my laptop Frown
Message 6 of 14 (6,016 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

★★★ Newbie

I'm guessing this is true for Spore bought/downloaded via Origin?

Message 7 of 14 (4,713 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

★★★★★ Newbie

Yes, it just is not compatible with a 64 bit processor. Astounding.

Message 8 of 14 (4,152 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

★★★★★ Newbie

I wasn't updating, I was on Catalina, and did not see any notice on the download page for Origin. 

Message 9 of 14 (4,151 Views)
Highlighted

Re: Spore isn't compatible with macOS 10.15 Catalina

★★★★★ Newbie

You should definitely ask for a refund.

Message 10 of 14 (4,150 Views)
Twitter Stream